﻿namespace UltraDayViewControlCurrentDayHeader
{
    using System.Windows.Forms;
    using Infragistics.Win;

    public partial class Form1 : Form
    {
        public Form1()
        {
            this.InitializeComponent();
            this.Load += Form1_Load;
            this.checkBoxShowOwnerHeader.CheckedChanged += CheckBoxShowOwnerHeader_CheckedChanged;
        }

        private void Form1_Load(object sender, System.EventArgs e)
        {
            this.calendarInfo1.Owners.Add("TEST");
            this.ultraDayView1.CreationFilter = new CF(this.ultraDayView1.ShowOwnerHeaderResolved);
        }

        private void CheckBoxShowOwnerHeader_CheckedChanged(object sender, System.EventArgs e)
        {
            var checkBox = sender as CheckBox;
            if(checkBox == null)
                return;

            this.ultraDayView1.ShowOwnerHeader = checkBox.Checked ? DefaultableBoolean.True : DefaultableBoolean.False;
            ((CF)this.ultraDayView1.CreationFilter).ShowOwnerHeader = checkBox.Checked;
        }
    }
}
